Skip to Content

Upgrading ECC 6.0 (SAP Kernel 7.20) from Oracle 10.2.0.5 to Oracle 12c

Hello

We have an installation SAP ECC 6.0 , SAP Kernel 7.20 on Solaris SPARC 10, and  Oracle 10.2.0.5. Now we want to upgrade to Oracle 12c.

we have read a lot information and OSS notes and we have a pair of doubts not clarified:

1.- What is the final version of SAP Kernel recommended for SAP ECC 6.00 , Solaris 10, and Oracle 12c ? 

As per note 2133079 - Oracle Database 12c: Integration in SAP environment  is SAP KERNEL 7.21_EXT and above

As per service.sap.com/PAM SAP KERNEL  is 721_EXT or 7.22_EXT

So, 7.22 (no EXT) is compatible is possible???

Is SAP Kernel 7.22 (or 7.22 EXT) stable?  I have seen on sap service marketplace lastest SAPEXE and SAPEXEDB packages are not complete. SAPEXEDB are missing...

2.- During Oracle upgrading process... is necessary switch SAP kernel from 7.20 to a temporal sap kernel higher than 7.20  (but not the target kernel) in certain moment?  or is possible perform all necessary tasks related to oracle upgrade without changing sap kernel, and then at moment final switch to sap kernel 7.22_EXT (i.e) ??

Thanks and regards

Javier

Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

2 Answers

  • Oct 22, 2015 at 01:13 AM

    Hi Javier,

    service.sap.com/PAM should always be trusted. Can you show me with the screenshot about which kernel version missing sapexedb part? I checked kernel 7.22 and it is compatible.

    If you check sap oracle upgrade, the steps have nothing to do with SAP kernel.
    You can just upgrade the database and consider the sap kernel after you finish the upgrade oracle.


    Best regards,

    James



    Add comment
    10|10000 characters needed characters exceeded

    • Hi Javier,

      In this case kernel 7.22 non ext is not supported. PAM should be trusted.

      Ohh, SAPEXEDB is independent part of kernel part I, so SAPEXEDB may not be the same package level like kernel part I (db independent). You can go to use kernel part I pl 13, and use SAPEXEDB PL 4. It will be fine.

      Best regards,

      James

  • Nov 27, 2015 at 08:09 AM

    Hallo.

    Pay attemption to the prerequisites.of the note

    "2157904 - Oracle 12c: Conversion of compressed tables"

    Bye

    Add comment
    10|10000 characters needed characters exceeded